Loading...
Searching...
No Matches
NAN and INF checks
Dense LA » MAGMA BLAS and Auxiliary » Math functions (sqrt, etc.), O(1) work

## Functions

int | magma_c_isnan (magmaFloatComplex x)
int | magma_c_isinf (magmaFloatComplex x)
int | magma_c_isnan_inf (magmaFloatComplex x)
magma_int_t | magma_cnan_inf (magma_uplo_t uplo, magma_int_t m, magma_int_t n, const magmaFloatComplex *A, magma_int_t lda, magma_int_t *cnt_nan, magma_int_t *cnt_inf)
| magma_cnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
magma_int_t | magma_cnan_inf_gpu (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magma_int_t *cnt_nan, magma_int_t *cnt_inf, magma_queue_t queue)
| magma_cnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
int | magma_d_isnan (double x)
int | magma_d_isinf (double x)
int | magma_d_isnan_inf (double x)
magma_int_t | magma_dnan_inf (magma_uplo_t uplo, magma_int_t m, magma_int_t n, const double *A, magma_int_t lda, magma_int_t *cnt_nan, magma_int_t *cnt_inf)
| magma_dnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
magma_int_t | magma_dnan_inf_gpu (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magma_int_t *cnt_nan, magma_int_t *cnt_inf, magma_queue_t queue)
| magma_dnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
int | magma_s_isnan (float x)
int | magma_s_isinf (float x)
int | magma_s_isnan_inf (float x)
magma_int_t | magma_snan_inf (magma_uplo_t uplo, magma_int_t m, magma_int_t n, const float *A, magma_int_t lda, magma_int_t *cnt_nan, magma_int_t *cnt_inf)
| magma_snan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
magma_int_t | magma_snan_inf_gpu (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magma_int_t *cnt_nan, magma_int_t *cnt_inf, magma_queue_t queue)
| magma_snan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
int | magma_z_isnan (magmaDoubleComplex x)
int | magma_z_isinf (magmaDoubleComplex x)
int | magma_z_isnan_inf (magmaDoubleComplex x)
magma_int_t | magma_znan_inf (magma_uplo_t uplo, magma_int_t m, magma_int_t n, const magmaDoubleComplex *A, magma_int_t lda, magma_int_t *cnt_nan, magma_int_t *cnt_inf)
| magma_znan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.
magma_int_t | magma_znan_inf_gpu (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magma_int_t *cnt_nan, magma_int_t *cnt_inf, magma_queue_t queue)
| magma_znan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

## Detailed Description

## Function Documentation

## magma_c_isnan()

int magma_c_isnan | ( | magmaFloatComplex | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN.

## magma_c_isinf()

int magma_c_isinf | ( | magmaFloatComplex | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is INF.

## magma_c_isnan_inf()

int magma_c_isnan_inf | ( | magmaFloatComplex | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN or INF.

## magma_cnan_inf()

magma_int_t magma_cnan_inf | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | const magmaFloatComplex * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf )

magma_cnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | A | COMPLEX array, dimension (lda,n), on the CPU host. The m-by-n matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. lda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_cnan_inf_gpu()

magma_int_t magma_cnan_inf_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf,
|  | magma_queue_t | queue )

magma_cnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | dA | COMPLEX array, dimension (ldda,n), on the GPU device. The m-by-n matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.
  [in] | queue | magma_queue_t Queue to execute in.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_d_isnan()

int magma_d_isnan | ( | double | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN.

## magma_d_isinf()

int magma_d_isinf | ( | double | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is INF.

## magma_d_isnan_inf()

int magma_d_isnan_inf | ( | double | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN or INF.

## magma_dnan_inf()

magma_int_t magma_dnan_inf | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | const double * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf )

magma_dnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | A | DOUBLE PRECISION array, dimension (lda,n), on the CPU host. The m-by-n matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. lda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_dnan_inf_gpu()

magma_int_t magma_dnan_inf_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf,
|  | magma_queue_t | queue )

magma_dnan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | dA | DOUBLE PRECISION array, dimension (ldda,n), on the GPU device. The m-by-n matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.
  [in] | queue | magma_queue_t Queue to execute in.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_s_isnan()

int magma_s_isnan | ( | float | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN.

## magma_s_isinf()

int magma_s_isinf | ( | float | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is INF.

## magma_s_isnan_inf()

int magma_s_isnan_inf | ( | float | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN or INF.

## magma_snan_inf()

magma_int_t magma_snan_inf | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | const float * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf )

magma_snan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | A | REAL array, dimension (lda,n), on the CPU host. The m-by-n matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. lda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_snan_inf_gpu()

magma_int_t magma_snan_inf_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf,
|  | magma_queue_t | queue )

magma_snan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | dA | REAL array, dimension (ldda,n), on the GPU device. The m-by-n matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.
  [in] | queue | magma_queue_t Queue to execute in.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_z_isnan()

int magma_z_isnan | ( | magmaDoubleComplex | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN.

## magma_z_isinf()

int magma_z_isinf | ( | magmaDoubleComplex | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is INF.

## magma_z_isnan_inf()

int magma_z_isnan_inf | ( | magmaDoubleComplex | x | ) |

Parameters

  [in] | x | Scalar to test.

Returns
  true if either real(x) or imag(x) is NAN or INF.

## magma_znan_inf()

magma_int_t magma_znan_inf | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | const magmaDoubleComplex * | A,
|  | magma_int_t | lda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf )

magma_znan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | A | COMPLEX_16 array, dimension (lda,n), on the CPU host. The m-by-n matrix to be printed.
  [in] | lda | INTEGER The leading dimension of the array A. lda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.

## magma_znan_inf_gpu()

magma_int_t magma_znan_inf_gpu | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_int_t * | cnt_nan,
|  | magma_int_t * | cnt_inf,
|  | magma_queue_t | queue )

magma_znan_inf checks a matrix that is located on the CPU host for NAN (not-a-number) and INF (infinity) values.

NAN is created by 0/0 and similar. INF is created by x/0 and similar, where x != 0.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies what part of the matrix A to check.
  - = MagmaUpper: Upper triangular part of A
  - = MagmaLower: Lower triangular part of A
  - = MagmaFull: All of A

  [in] | m | INTEGER The number of rows of the matrix A. m >= 0.
  [in] | n | INTEGER The number of columns of the matrix A. n >= 0.
  [in] | dA | COMPLEX_16 array, dimension (ldda,n), on the GPU device. The m-by-n matrix to be printed.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= m.
  [out] | cnt_nan | INTEGER* If non-NULL, on exit contains the number of NAN values in A.
  [out] | cnt_inf | INTEGER* If non-NULL, on exit contains the number of INF values in A.
  [in] | queue | magma_queue_t Queue to execute in.

Returns
  - >= 0: Returns number of NAN + number of INF values.
  - < 0: If it returns -i, the i-th argument had an illegal value, or another error occured, such as memory allocation failed.